org.apache.fop.render

## Class AbstractRenderingContext

- java.lang.Object
- - org.apache.fop.render.AbstractRenderingContext

All Implemented Interfaces:
  RenderingContext

Direct Known Subclasses:
  AFPRenderingContext, Java2DRenderingContext, PCLRenderingContext, PDFRenderingContext, PSRenderingContext

    public abstract class AbstractRenderingContext
    extends Object
    implements RenderingContext

Abstract base class for RenderingContext implementations.

### Constructor Summary

Constructors
Constructor and Description
`AbstractRenderingContext(FOUserAgent userAgent)` Main constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getHint(Object key)` Returns a hint identified by a key.
`Map` `getHints()` Returns an unmodifiable representation of all hints.
`FOUserAgent` `getUserAgent()` Returns the user agent.
`void` `putHint(Object key, Object value)` Sets an additional hint, overriding an existing hint.
`void` `putHints(Map additionalHints)` Adds additional hints to the existing hints, overriding existing hints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.fop.render.RenderingContext

`getMimeType`

### Constructor Detail

#### AbstractRenderingContext

    public AbstractRenderingContext(FOUserAgent userAgent)

Main constructor.

Parameters:
  `userAgent` - the user agent

### Method Detail

#### getUserAgent

    public FOUserAgent getUserAgent()

Returns the user agent.

Specified by:
  `getUserAgent` in interface `RenderingContext`
Returns:
  The user agent

#### putHints

    public void putHints(Map additionalHints)

Adds additional hints to the existing hints, overriding existing hints.

Specified by:
  `putHints` in interface `RenderingContext`
Parameters:
  `additionalHints` - a map of additional hints

#### putHint

    public void putHint(Object key,
                        Object value)

Sets an additional hint, overriding an existing hint.

Specified by:
  `putHint` in interface `RenderingContext`
Parameters:
  `key` - the key
  `value` - the value

#### getHints

    public Map getHints()

Returns an unmodifiable representation of all hints.

Specified by:
  `getHints` in interface `RenderingContext`
Returns:
  the hints

#### getHint

    public Object getHint(Object key)

Returns a hint identified by a key.

Specified by:
  `getHint` in interface `RenderingContext`
Parameters:
  `key` - the key
Returns:
  the hint or null if no hint with the given key could be found